import os
from setuptools import setup, find_packages

version = '0.1dev'

install_requires =[
    'setuptools',
    'multi-mechanize',
    'numpy',
    'matplotlib',
    'waeup.kofa',
    ],

# Having beaker installed additionally is a feature very recommended
# for production use. The default buildout includes beaker for tests,
# start scripts, and other parts that can benefit from it. The windows
# buildout does not include it due to compiling problems with the
# beaker package.
beaker_require = [
    'dolmen.beaker',
    ]

tests_require = [
    'pytest',
    'pytest-xdist',
    'pytest-cov',
    ]

docs_require = [
    'Sphinx',
    'collective.recipe.sphinxbuilder',
    'docutils',
    'roman',
    'repoze.sphinx.autointerface',
    ]

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description = (
    read('README.rst')
    + '\n\n'
    + read('CHANGES.rst')
    + '\n\n'
    + 'Download\n'
    + '********\n'
    )

setup(name = 'waeup.stress',
      version = version,
      description = "Stresstests for WAeUP Kofa",
      long_description = long_description,

      keywords = "waeup kofa stress test",
      # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Education',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Programming Language :: Python',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Framework :: Zope3',
        'Topic :: Education',
        'Topic :: Internet :: WWW/HTTP',
        ],
      author = "The WAeUP team.",
      author_email = "",
      url = "http://www.waeup.org/",
      license = "GPL",
      package_dir = {'': 'src'},
      packages= find_packages('src'),
      namespace_packages = ['waeup',],
      include_package_data = True,
      zip_safe = False,
      install_requires = install_requires,
      tests_require = tests_require,
      extras_require = dict(
        test = tests_require,
        docs = docs_require,
        beaker = beaker_require,
        ),
      entry_points="""
      # Add entry points here
      [console_scripts]
      bootstrap_instances = waeup.stress:bootstrap
      """,
      )
